// 左の円形を選択時に、右の棒グラフを更新します。
// ※ラベル名を利用しているため、重複したラベル名が存在する場合、正しく動作しません。
var updatechart = function(event,obj,tgtId){
	// チャートの空白箇所クリック時の処理
	if( obj[0] ) {
		const obj0 = obj[0];
		const idx = obj0.index;										// ポイント位置

		const data  = event.chart.data;								// $VAL:データ
		const dtLbl = data.labels[idx];								// $IDX:データラベル

		// ver6ではラベル名と値のみ保持しており、利用可能です。
		let chTgt   = eval("chart_" + tgtId);		// アクセス先のオブジェクトを取得

		$.ajax({
			url:'sample5_ajax.jsp',
			async:true, // 非同期通信
			type: 'GET',
			data: {'LABELNM': dtLbl},
			dataType: 'json',
			success: function(jsn){
				for(let i=0; i< jsn.DATA.length; i++){
					chTgt.data.datasets[0].data[i]	= jsn.DATA[i].SAL;
					chTgt.data.datasets[1].data[i]	= jsn.DATA[i].EMPNO;
					chTgt.data.labels[i]			= jsn.DATA[i].LABELS;
				}
				// ラベル変更は難しいが、データセットの変更だけなら簡単
				// 新たなラベルが増えるような場合が面倒になる？
				chTgt.update();
			},
			error: function(err){
				$('#err').html(err.responseText);
			}
		});
	}
};
